summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author MagicMan <MagicMan07@bluebottle.com>2010-05-11 15:00:28 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:28 +0200
commit380ee39960e847bc64d36e775eca06c78659d963 (patch)
treed1b806ced6063caf4d2cfe9aa0bfa65aa5bdf500 /multimedia
parent3d8185209a98839d4cc9b973959c1ec26de95d21 (diff)
downloadslackbuilds-380ee39960e847bc64d36e775eca06c78659d963.tar.gz
slackbuilds-380ee39960e847bc64d36e775eca06c78659d963.tar.xz
multimedia/mplayerplug-in: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mplayerplug-in/README11
-rw-r--r--multimedia/mplayerplug-in/doinst.sh16
-rw-r--r--multimedia/mplayerplug-in/mplayerplug-in.SlackBuild91
-rw-r--r--multimedia/mplayerplug-in/mplayerplug-in.info8
-rw-r--r--multimedia/mplayerplug-in/slack-desc11
5 files changed, 137 insertions, 0 deletions
diff --git a/multimedia/mplayerplug-in/README b/multimedia/mplayerplug-in/README
new file mode 100644
index 0000000000..275e75efb3
--- /dev/null
+++ b/multimedia/mplayerplug-in/README
@@ -0,0 +1,11 @@
+mplayerplug-in is a browser plugin that uses MPlayer to play
+digital media from websites. This plug-in gives Mozilla the
+ability to play media from a website the net without reading
+the source html and getting the url manually. Media is played
+embedded in the page or in a separate window depending on how
+the author of the webpage intended the media to be seen.
+
+You will need to have MPlayer installed (which is available at
+SlackBuilds.org) in order to use this package. Also, make sure
+you have the SeaMonkey package (from stock Slackware) installed.
+
diff --git a/multimedia/mplayerplug-in/doinst.sh b/multimedia/mplayerplug-in/doinst.sh
new file mode 100644
index 0000000000..98d5100aaa
--- /dev/null
+++ b/multimedia/mplayerplug-in/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/mplayerplug-in.conf.new
+config etc/mplayerplug-in.types.new
+
diff --git a/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild b/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild
new file mode 100644
index 0000000000..bbf998905b
--- /dev/null
+++ b/multimedia/mplayerplug-in/mplayerplug-in.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for mplayerplug-in
+
+# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+set -e
+
+PRGNAM=mplayerplug-in
+VERSION=3.35
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="ChangeLog INSTALL LICENSE README TODO DOCS/*"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-gmp
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Let's not overwrite existing config files
+mv $PKG/etc/mplayerplug-in.conf $PKG/etc/mplayerplug-in.conf.new
+mv $PKG/etc/mplayerplug-in.types $PKG/etc/mplayerplug-in.types.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mplayerplug-in/mplayerplug-in.info b/multimedia/mplayerplug-in/mplayerplug-in.info
new file mode 100644
index 0000000000..306ec289bc
--- /dev/null
+++ b/multimedia/mplayerplug-in/mplayerplug-in.info
@@ -0,0 +1,8 @@
+PRGNAM="mplayerplug-in"
+VERSION="3.35"
+HOMEPAGE="http://mplayerplug-in.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/mplayerplug-in/mplayerplug-in-3.35.tar.gz"
+MD5SUM="5efa01fa433ee4c7118e534c36198e72"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="rworkman"
diff --git a/multimedia/mplayerplug-in/slack-desc b/multimedia/mplayerplug-in/slack-desc
new file mode 100644
index 0000000000..f16bed421a
--- /dev/null
+++ b/multimedia/mplayerplug-in/slack-desc
@@ -0,0 +1,11 @@
+mplayerplug-in: mplayerplug-in (Embedded Video Player for Mozilla)
+mplayerplug-in:
+mplayerplug-in: mplayerplug-in is a browser plugin that uses MPlayer to play
+mplayerplug-in: digital media from websites. This plug-in gives Mozilla the
+mplayerplug-in: ability to play media from a website the net without reading
+mplayerplug-in: the source html and getting the url manually. Media is played
+mplayerplug-in: embedded in the page or in a separate window depending on how
+mplayerplug-in: the author of the webpage intended the media to be seen.
+mplayerplug-in:
+mplayerplug-in: Homepage: http://mplayerplug-in.sourceforge.net/
+mplayerplug-in: